org.apache.ignite.internal.util

## Class Base64EncoderImpl

- java.lang.Object
- - org.apache.ignite.internal.util.Base64EncoderImpl

All Implemented Interfaces:
  Base64Encoder

Deprecated.
Use `java.util.Base64` directly instead.

    @Deprecated
    public class Base64EncoderImpl
    extends Object
    implements Base64Encoder

Implementation of `Base64Encoder` interface for Java 8 and later.

### Constructor Summary

Constructors
Constructor and Description
`Base64EncoderImpl()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `encode(byte[] msg)` Deprecated. Encodes given byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Base64EncoderImpl

    public Base64EncoderImpl()

Deprecated.

### Method Detail

#### encode

    public String encode(byte[] msg)

Deprecated.
Encodes given byte array.

Specified by:
  `encode` in interface `Base64Encoder`
Returns:
  Encoded string.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018